activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMQ-2502) activemq-camel is missing an optional Import-Package for org.apache.activemq.pool
Date Sat, 01 Sep 2012 15:56:07 GMT

    [ https://issues.apache.org/jira/browse/AMQ-2502?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13446745#comment-13446745
] 

Claus Ibsen commented on AMQ-2502:
----------------------------------

I am adding activemq-pool as required dep for activem-camel again. Just as it used to be in
5.5.1 or older.
See ticket AMQ-3847.

Any objections?
                
> activemq-camel is missing an optional Import-Package for org.apache.activemq.pool
> ---------------------------------------------------------------------------------
>
>                 Key: AMQ-2502
>                 URL: https://issues.apache.org/jira/browse/AMQ-2502
>             Project: ActiveMQ
>          Issue Type: Bug
>    Affects Versions: 5.2.0, 5.3.0
>            Reporter: Phil Messenger
>            Assignee: Gary Tully
>             Fix For: 5.3.1, 5.4.0, 5.6.0
>
>
> If pooling is used, org.apache.activemq.pool.PooledConnectionFactory is instantiated
using reflection. BND does not detect this, so compliant OSGI containers will throw a class
not found exception. To fix, the following line should be added to the <activemq.osgi.import.pkg
/> section of the pom:
> org.apache.activemq.pool;resolution:=optional,

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message